	program magics

	call popen

	call pset1c("output_formats", (/"png"/), 1)
	call psetc("output_name", "symbol4")
	call psetc("output_name_first_page_number", "off")

	call psetr("subpage_y_min", 25.00)
	call psetc("subpage_x_date_max", "2012-03-07 12:00:00")
	call psetc("subpage_map_projection", "cartesian")
	call psetr("subpage_y_position", 2.00)
	call psetr("subpage_y_max", 75.00)
	call psetc("subpage_x_axis_type", "date")
	call psetc("subpage_y_axis_type", "regular")
	call psetc("subpage_x_date_min", "2012-03-01 12:00:00")

	call psetr("axis_tick_label_height", 0.40)
	call psetc("axis_orientation", "vertical")
	call pseti("axis_grid_thickness", 1)
	call psetc("axis_tick_label_colour", "navy")
	call psetc("axis_type", "regular")
	call psetc("axis_grid", "on")
	call psetc("axis_grid_line_style", "dot")
	call psetc("axis_grid_colour", "grey")
	call paxis

	call preset('axis_tick_label_height')
	call preset('axis_orientation')
	call preset('axis_grid_thickness')
	call preset('axis_tick_label_colour')
	call preset('axis_type')
	call preset('axis_grid')
	call preset('axis_grid_line_style')
	call preset('axis_grid_colour')

	call psetc("axis_orientation", "horizontal")
	call pseti("axis_grid_thickness", 1)
	call psetc("axis_type", "date")
	call psetr("axis_days_label_height", 0.40)
	call psetc("axis_grid", "on")
	call psetr("axis_months_label_height", 0.40)
	call psetr("axis_years_label_height", 0.50)
	call psetc("axis_grid_line_style", "dot")
	call psetc("axis_minor_tick", "on")
	call psetc("axis_grid_colour", "grey")
	call paxis

	call preset('axis_orientation')
	call preset('axis_grid_thickness')
	call preset('axis_type')
	call preset('axis_days_label_height')
	call preset('axis_grid')
	call preset('axis_months_label_height')
	call preset('axis_years_label_height')
	call preset('axis_grid_line_style')
	call preset('axis_minor_tick')
	call preset('axis_grid_colour')

	call psetc("input_x_type", "date")
	call pset1c("input_date_x_values", (/"2012-03-02 00:00:00", "2012-03-03 12:00:00", "2012-03-05 00:00:00"/), 3)
	call pset1r("input_y_values", (/35.00, 45.00, 55.00/), 3)
	call pinput

	call preset('input_x_type')
	call preset('input_date_x_values')
	call preset('input_y_values')

	call pseti("symbol_marker_index", 15)
	call psetc("symbol_colour", "red")
	call psetc("symbol_image_format", "png")
	call psetc("symbol_image_path", "D96.png")
	call psetc("symbol_type", "marker")
	call psetc("symbol_marker_mode", "image")
	call psetc("legend", "on")
	call psetr("symbol_height", 1.00)
	call psymb

	call preset('symbol_marker_index')
	call preset('symbol_colour')
	call preset('symbol_image_format')
	call preset('symbol_image_path')
	call preset('symbol_type')
	call preset('symbol_marker_mode')
	call preset('legend')
	call preset('symbol_height')

	call pset1c("text_lines", (/"Using Symbol ..."/), 1)
	call psetr("text_font_size", 1.00)
	call psetc("text_justification", "left")
	call psetc("text_colour", "charcoal")
	call ptext

	call preset('text_lines')
	call preset('text_font_size')
	call preset('text_justification')
	call preset('text_colour')

	call psetr("legend_box_x_position", 20.00)
	call psetc("legend_box_mode", "positional")
	call psetc("legend_user_text", "<font colour='navy' size='0.7'> Pictograms </font>")
	call psetr("legend_box_y_position", 16.50)
	call psetr("legend_box_y_length", 2.00)
	call psetr("legend_box_x_length", 5.00)
	call psetc("legend", "on")

	call pclose

	end
